angular.module('vmb').factory('$vmb', ['$http', function ($http) {
    return {
        getFolders: function () {
            return $http.get('/api/folders');
        },
        getMails: function (folder_id, from, pageSize) {
            from = from || 0;
            pageSize = pageSize || 10;
            return $http.get('/api/mails/get-mail/' + folder_id, {
                params: {
                    from: from,
                    to: from + pageSize
                }
            });
        }
    };
}]);
